Subject: Re: [PATCH v8 net-next 0/5] Analyze and Reorganize core Networking Structs to optimize cacheline consumption

From: Shakeel Butt <[email-masked]>
Date: Sat, 2 Dec 2023 20:34:33 +0000

On Wed, Nov 29, 2023 at 07:27:51AM +0000, Coco Li wrote:
> Currently, variable-heavy structs in the networking stack is organized
> chronologically, logically and sometimes by cacheline access.
> 
> This patch series attempts to reorganize the core networking stack
> variables to minimize cacheline consumption during the phase of data
> transfer. Specifically, we looked at the TCP/IP stack and the fast
> path definition in TCP.
> 
> For documentation purposes, we also added new files for each core data
> structure we considered, although not all ended up being modified due
> to the amount of existing cacheline they span in the fast path. In
> the documentation, we recorded all variables we identified on the
> fast path and the reasons. We also hope that in the future when
> variables are added/modified, the document can be referred to and
> updated accordingly to reflect the latest variable organization.
> 
> Tested:
> Our tests were run with neper tcp_rr using tcp traffic. The tests have $cpu
> number of threads and variable number of flows (see below).
> 
> Tests were run on 6.5-rc1
> 
> Efficiency is computed as cpu seconds / throughput (one tcp_rr round trip).
> The following result shows efficiency delta before and after the patch
> series is applied.

If you don't mind, can you provide the exact cmd to run tcp_rr? Also am
I assuming correctly that you ran experiment in root container?